summaryrefslogtreecommitdiffstats
path: root/network/suhosin
diff options
context:
space:
mode:
author Menno Duursma2010-05-13 00:38:23 +0200
committer David Somero2010-05-13 00:38:23 +0200
commitda10dddf46b63f7f9dfd45ca5ca14bd27501d3dc (patch)
treec834eb531446e1d824de9af77adbc7127439671d /network/suhosin
parent7c7ce215f50fc65d9fa7424f954993b80b0a08cb (diff)
downloadslackbuilds-da10dddf46b63f7f9dfd45ca5ca14bd27501d3dc.tar.gz
network/suhosin: Updated for version 0.9.29
Diffstat (limited to 'network/suhosin')
-rw-r--r--network/suhosin/README7
-rw-r--r--network/suhosin/doinst.sh15
-rw-r--r--network/suhosin/suhosin.SlackBuild24
-rw-r--r--network/suhosin/suhosin.info12
4 files changed, 40 insertions, 18 deletions
diff --git a/network/suhosin/README b/network/suhosin/README
index 373b38219e..f38cc80a40 100644
--- a/network/suhosin/README
+++ b/network/suhosin/README
@@ -13,12 +13,9 @@ protections. Suhosin is binary compatible with normal PHP installations,
which means it is compatible to 3rd party binary extensions like
ZendOptimizer.
-This package includes only the extention. To enable it after installation,
-edit /etc/httpd/php.ini and add a line to 'Dynamic Extensions', like this:
+This package includes only the extention.
-extension=suhosin.so
-
-After which the 'php -v' command should list it as loaded.
+After installation the 'php -v' command should list it as loaded.
For more info try:
php -i | grep suhosin
diff --git a/network/suhosin/doinst.sh b/network/suhosin/doinst.sh
new file mode 100644
index 0000000000..f6da772a25
--- /dev/null
+++ b/network/suhosin/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php/suhosin.ini.new
+
diff --git a/network/suhosin/suhosin.SlackBuild b/network/suhosin/suhosin.SlackBuild
index d00d12aa58..007e9d1ea0 100644
--- a/network/suhosin/suhosin.SlackBuild
+++ b/network/suhosin/suhosin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Suhosin
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Written by Menno Duursma <druiloor@zonnet.nl>
# This program is free software. It comes without any warranty.
# Granted WTFPL, Version 2, as published by Sam Hocevar. See
@@ -11,7 +11,7 @@
# Modified by SlackBuilds.org
PRGNAM=suhosin
-VERSION=${VERSION:-0.9.27}
+VERSION=${VERSION:-0.9.29}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -23,10 +23,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -46,19 +49,23 @@ phpize
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-EXTENSION_DIR="$PKG/usr/lib/php/extensions" \
+EXTENSION_DIR="$PKG/usr/lib$LIBDIRSUFFIX/php/extensions" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var
make
-install -D -m755 modules/suhosin.so $PKG/usr/lib/php/extensions/suhosin.so
+install -D -m755 modules/suhosin.so $PKG/usr/lib$LIBDIRSUFFIX/php/extensions/suhosin.so
-( cd $PKG || exit 1
- find . -type f | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-)
+# Add to the PHP config
+mkdir -p $PKG/etc/php
+echo "extension=suhosin.so" > $PKG/etc/php/suhosin.ini.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [A-Z][A-Z]* Changelog $PKG/usr/doc/$PRGNAM-$VERSION
@@ -67,6 +74,7 @@ cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/suhosin/suhosin.info b/network/suhosin/suhosin.info
index 1879fd6125..d78e012188 100644
--- a/network/suhosin/suhosin.info
+++ b/network/suhosin/suhosin.info
@@ -1,8 +1,10 @@
PRGNAM="suhosin"
-VERSION="0.9.27"
+VERSION="0.9.29"
HOMEPAGE="http://www.hardened-php.net/suhosin/index.html"
-DOWNLOAD="http://download.suhosin.org/suhosin-0.9.27.tgz"
-MD5SUM="9aae02bc2d2bcf9b8bd97cd22f56a8b8"
-MAINTAINER="Menno E. Duursma"
+DOWNLOAD="http://download.suhosin.org/suhosin-0.9.29.tgz"
+DOWNLOAD_x86_64=""
+MD5SUM="e3c599e7e344e981f935b2dab90592c1"
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="David Somero"
+APPROVED="dsomero"